Installing Omni-bot with Jaymod

Any questions regarding getting Jaymod running.
Post Reply
MeatHead
General
Posts: 524
Joined: Thu Feb 02, 2006 12:34 am

Post by MeatHead » Fri Jan 05, 2007 5:28 pm

Bots are NOT included in anything that a human hand is required to do! Vote counts, intermission ready %, nothing!! They are not there as far as anything goes except for doing their programed goals and to blast your head!! :lol:

JBRAA
Panzer n00b
Posts: 84
Joined: Tue Sep 05, 2006 1:06 pm
Location: Sweden
Contact:

Post by JBRAA » Sat Jan 06, 2007 2:47 am

MeatHead wrote:Bots are NOT included in anything that a human hand is required to do! Vote counts, intermission ready %, nothing!! They are not there as far as anything goes except for doing their programed goals and to blast your head!! :lol:
Thanks for your answer! :)
Wolf ET Server: JB's Place
Swedish ET: Quake Wars Community: http://www.et-quakewars.se

MeatHead
General
Posts: 524
Joined: Thu Feb 02, 2006 12:34 am

Post by MeatHead » Sat Jan 06, 2007 3:17 pm

No problem!
Image

66.55.154.141

Paddy123
Server n00b
Posts: 15
Joined: Sat Jan 20, 2007 12:32 pm

Post by Paddy123 » Sat Jan 20, 2007 12:46 pm

can someone post the install guidance for linux servers i will use it with jaymod 2.1.1 and im not so good in english so you post please only this area who are for linux
thx

User avatar
[FL]Blindman
Server Pro
Posts: 864
Joined: Thu Jun 02, 2005 3:07 pm
Location: Champlain Valley

Post by [FL]Blindman » Sat Jan 20, 2007 3:48 pm

omni-bot?
Image
Image

Paddy123
Server n00b
Posts: 15
Joined: Sat Jan 20, 2007 12:32 pm

Post by Paddy123 » Sat Jan 20, 2007 4:08 pm

yes

User avatar
[FL]Blindman
Server Pro
Posts: 864
Joined: Thu Jun 02, 2005 3:07 pm
Location: Champlain Valley

Post by [FL]Blindman » Sat Jan 20, 2007 6:57 pm

You maybe should go to www.omni-bot.de it would be easier.
Image
Image

Paddy123
Server n00b
Posts: 15
Joined: Sat Jan 20, 2007 12:32 pm

Post by Paddy123 » Sun Jan 21, 2007 4:29 am

cant find the side think the side is currently offline

User avatar
[FL]Blindman
Server Pro
Posts: 864
Joined: Thu Jun 02, 2005 3:07 pm
Location: Champlain Valley

Post by [FL]Blindman » Mon Jan 22, 2007 9:03 pm

it was, but its back on now.
Image
Image

POSEIDON
Server n00b
Posts: 3
Joined: Tue Oct 31, 2006 1:05 am

Post by POSEIDON » Wed Jan 31, 2007 5:02 am

How's it going? Alright I've must have read 20 pages of responses on this forum and omibot's and can't get it working. There's bits and pieces everywhere, but they don't fit together and some contradict the others. It a bit sad that there is no GUIDE on such a topic. I have read spidey's guide but that deals with windows whereas GameServers uses linux.

I've had JayMod running on my server since the very beginning. The version I have now is 2.0.4. We have decided to add OmniBots to the server temporarily. As far as I know OmniBot .52 is compatible with JayMod versions 2.0.3 and up.

Therefore, I have downloaded .52 and have extracted them to my desktop. Now apparently I don't need the etPub folder, so that is gone. Now this is where the tricky part comes. I've read some people say I have to upload both "omnibot" and "omni-bot" to my server as follows:

/et/etmain
/et/etadmin_mod
/et/pb
/et/jaymod
/et/omnibot
/et/omni-bot

This is what I currently have now. I've also read that all I need is the "omni-bot" folder and NOT "omnibot". Which is it? I have restarted the server but /bot help or /rcon bot help (after /rconpassword "password" of course) does not work. This is where I am stumped and can't find answer anywhere. This is also where most threads stop. Any help would be wonderful. Thanks.

POSEIDON
Server n00b
Posts: 3
Joined: Tue Oct 31, 2006 1:05 am

Post by POSEIDON » Wed Jan 31, 2007 7:05 am

Alright after this I submitted a Support Ticket to GameServers and now it is working. Here's a guide from my experience in order to get OmniBots working with JayMod on a Linux server. May possibly be the only one

-Install any version Jaymod 2.0.3 and up

-Go to OmniBots site and download 0.52 Linux files

-Extract files

-Delete everything but 1 folder: "omni-bot"

-Upload both of these to the same root as your etmain and jaymod folders:
/et/etmain
/et/pb
/et/jaymod
/et/omni-bot

-Add these to the server.cfg file in your etmain folder:
//Omni-bot
set g_omnibotenable "1"
set g_omnibotpath "location of your omni-bot folder"


Make sure your server is stopped when you are transferring files back and forth with your FTP. After you are finished, restart your server. Open your console, activate rcon with your password and then type in /rcon bot help. If you see a list of commands and descriptions, then you are all up and running. As far as how to setup names, and number of bots, that is pretty self explanatory. Otherwise there is a multitude of info these on various forums.

NOTE: You do NOT need to change or request anything to be added to the cmd line of your server such as "+set fs_game omnibot" that most people are suggesting. You do not have to mess with any .pk3 or redirects.

If you have any questions, I will be more than happy to try and help you out.


!POSEIDON
Last edited by POSEIDON on Thu Feb 01, 2007 3:54 am, edited 2 times in total.

User avatar
jaybird
Jaymod Developer
Posts: 2733
Joined: Thu Feb 24, 2005 12:27 pm
Location: San Antonio, TX
Contact:

Post by jaybird » Wed Jan 31, 2007 9:08 am

I'll talk you one step further and say you don't need the "omnibot" folder either.

User avatar
[FL]Blindman
Server Pro
Posts: 864
Joined: Thu Jun 02, 2005 3:07 pm
Location: Champlain Valley

Post by [FL]Blindman » Wed Jan 31, 2007 1:50 pm

true, its only needed if your going to run omnibot as a standalone mod.
Image
Image

POSEIDON
Server n00b
Posts: 3
Joined: Tue Oct 31, 2006 1:05 am

Post by POSEIDON » Thu Feb 01, 2007 3:52 am

ahhh well there you go. ill edit that out. thanks.

Paddy123
Server n00b
Posts: 15
Joined: Sat Jan 20, 2007 12:32 pm

Post by Paddy123 » Sun Mar 04, 2007 3:18 am

i do all so like poseidon said 2 post in front of me ....
but it wont work so i have ask another server admin he has said i must install libstdc++6 (the currently running version is libstdc++-4.1.0-25) can somebody say me how to install libstdc++6 ???
Pleaaaasse

Post Reply